using System;

namespace Spojlovan_takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] st1 = Console.ReadLine().Split();
            int a = int.Parse(st1[0]);
            int b = int.Parse(st1[1]);
            string[] st2 = Console.ReadLine().Split();
            int x = int.Parse(st2[0]);
            int y = int.Parse(st2[1]);
            string resenje = "";
            if (a == x && y < b)
            {
                resenje = "drugi";
            }
            else if (a == x && b == y)
            {
                resenje = "nijedan";
            }
            else if (x < a && y == b)
            {
                resenje = "prvi";
            }
            else
            {
                resenje = "?";
            }
            Console.WriteLine(resenje);
        }
    }
}